/* The main stylesheet that styles the tabs */
@import url('chrome://global/skin/');
@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

menuitem.alltabs-item {
	-moz-appearance: none !important;
	padding-left: 4px;
	padding-right: 4px;
	height: 27px;/* text-shadow: 1px 1px 1px #fff; */
	color: #000 !important;
}
menuitem.alltabs-item:hover, menuitem.alltabs-item:hover  .menu-iconic-text {

	/*text-shadow: 1px 1px 1px #000;*/
	color: #fff !important;
}
#navigator-toolbox[tabsontop=false] #colorfulTabsStack {
	-moz-box-ordinal-group: 200;
}
#navigator-toolbox[tabsontop=true] #colorfulTabsStack {
	-moz-box-ordinal-group: 15;
}
#navigator-toolbox #colorfulTabsStack {
	height: 6px;
	border-top: 1px solid white;
	border-bottom: 1px solid #9a9fa6;
}
.mac #navigator-toolbox[tabsontop=false] #colorfulTabsStack {
	-moz-box-ordinal-group: 51;
	margin-bottom: 6px !important;
}
.mac #navigator-toolbox #colorfulTabsStack {
	height: 4px;
	border-bottom: 1px solid white;
	border-top: 0px solid transparent !important;
}
.mac #tabbrowser-tabs > tab.tabbrowser-tab {
	padding-bottom: 0 !important;
}
#tabbrowser-tabs > .tabbrowser-tab[selected=true] {
	margin-bottom: -1px !important;
	padding-bottom: 1px !important;
}
#tabbrowser-tabs > .tabbrowser-tab[selected=true][pinned] {
	padding-bottom: 5px !important;
}
.mac #tabbrowser-tabs > .tabbrowser-tab[selected=true] {
	margin-bottom: -1px !important;
	padding-bottom: 0px !important;
}
#tabbrowser-tabs > .tabbrowser-arrowscrollbox > scrollbox {
	margin-bottom: -1px !important;
	padding-bottom: 1px !important;
	position: relative !important;
}
.mac #tabbrowser-tabs > .tabbrowser-arrowscrollbox > scrollbox, .mac #navigator-toolbox:not(:-moz-lwtheme) #colorfulTabsStack {
	margin-bottom: -2px !important;
	padding-bottom: 1px !important;
	position: relative !important;
}
#navigator-toolbox[tabsontop=true] toolbar:not(:-moz-lwtheme) {
	border-top-color: transparent;
}
.tabbrowser-tab[selected=true] {
	-moz-border-top-colors: #fff !important;
}
tab.tabbrowser-tab[selected=true] {
	font-weight: bold;
}
#main-window:not(.mac) tab.tabbrowser-tab[pinned][titlechanged]:not([selected="true"]) {
	-moz-border-image: url("chrome://clrtabs/skin/tab-border-image-pinned6.png") 4 3 0 3 / 4px 3px 0px 3px repeat stretch !important;
}
#main-window:not(.mac) tab.tabbrowser-tab[pinned][titlechanged]:not([selected="true"]):hover {
	-moz-border-image: url("tab-border-image-pinned-hover6.png") 4 3 0 3 / 4px 3px 0px 3px repeat stretch !important;
}
.mac #tabbrowser-tabs[tabsontop="true"] > .tabbrowser-tab[pinned][titlechanged]:not([selected="true"]) > .tab-stack > .tab-content {
	background-image: none;
	-moz-border-image: url("chrome://clrtabs/skin/tab-top-normal-pinned-mac.png") 0 11 0 11 repeat stretch;
}
.mac #tabbrowser-tabs[tabsontop="false"] > .tabbrowser-tab[pinned][titlechanged]:not([selected="true"]) > .tab-stack > .tab-content {
	background-image: none;
	-moz-border-image: url("chrome://clrtabs/skin/tab-bottom-pinned-mac.png") 0 11 0 11 repeat stretch;
}
.mac #tabbrowser-tabs[tabsontop=true] > .tabbrowser-tab > .tab-stack > .tab-content[selected=true] {
	-moz-border-image: url("chrome://clrtabs/skin/tab-top-normal-active.png") 0 11 0 11 fill repeat stretch !important;
}

/*.mac #tabbrowser-tabs[tabsontop=true] > tab.tabbrowser-tab.standout > .tab-stack > .tab-content[selected=true] {background-image: none; -moz-border-image: url("chrome://clrtabs/skin/tab-top-normal-standout-mac.png") 0 11 0 11 repeat stretch !important; }*/
.colorfultabs-minified tab:not([pinned]) {
	min-width: 32px;
	max-width: 48px;
	margin-left: 10px;
}
.colorfultabs-minified tab:not([pinned])[selected="true"] {
	min-width: 48px;
	max-width: 64px;
}
.colorfultabs-minified tab:not([pinned]) .tab-icon-image, .colorfultabs-minified tab:not([pinned]) .tab-throbber {
	margin-left: 5px !important;
	margin-right: 5px !important;
}
.colorfultabs-minified tab:not([pinned]) .tab-close-button {
	display: none !important;
}
.colorfultabs-minified tab:not([pinned])[selected="true"] .tab-close-button {
	display: -moz-box !important;
}
.colorfultabs-minified tab:not([pinned]) ~  tab:not([pinned]) {
	margin-left: 0px;
}
#tabbrowser-tabs > tab.tabbrowser-tab[selected=true], #tabbrowser-tabs > tab.tabbrowser-tab:hover {
	opacity: 1 !important;
}
.australis .tabbrowser-tab .tab-background-start, .australis .tabbrowser-tab .tab-background-end {
	display: none !important;
}
.australis .tabbrowser-tab .tab-background-middle {
	margin-left: 0 !important;
	margin-right: 0 !important;
	min-height: 31px;
}
.australis .tabbrowser-tab .tab-background {
	margin-left: 0;
	margin-right: 0;
}

/**/
.australis .tabbrowser-tab .tab-background-middle, .australis .tabbrowser-tab:hover .tab-background {
	background-image: none !important;
	background-color: transparent !important;
}
.australis .tabbrowser-tab {
}
.australis #colorfulTabsStack {
	ddisplay: none !important;
	border-top: 1px solid white !important;
	position: relative;
	zz-index: 9999;
}
.australis tab {
	border-top: 1px solid white;
	border-left: 1px solid white;
	border-right: 1px solid white;
	border-top: 1px solid ThreeDHighlight !important;
	border-left: 1px solid ThreeDHighlight !important;
	border-right: 1px solid ThreeDShadow !important;
}
.australis tab {
}
.australis tab[selected="true"] {
}
.australis #tabbrowser-tabs > .tabbrowser-tab[selected="true"][pinned] {
	padding-bottom: 1px !important;
}
.australis .tabs-newtab-button {
	margin-left: 0px;
	margin-right: 0px;
	width: 30px;
	border-top: 1px solid transparent;
	border-right: 1px solid transparent;
}
.australis .tabs-newtab-button:hover {
	background-image: none;
	background-color: highlight;
	border-top: 1px solid ThreeDFace;
	border-right: 1px solid ThreeDFace;
	border-color: ThreeDHighlight ThreeDShadow;
}
.australis #navigator-toolbox[tabsontop=true] #colorfulTabsStack {
	-moz-box-ordinal-group: 1;
}
.mac.australis .tab-background-middle {
	border-left: 0 !important;
	border-right: 0 !important;
}
.mac.australis .tab-background-middle:not([selected=true]) {
	clip-path: none !important;
}
.mac.australis #navigator-toolbox #colorfulTabsStack {
	height: 8px;
	border-top: 1px solid threedhighlight !important;
}

.colorfultabs-minified tab.tabbrowser-tab:not([pinned]) {
	display:block !important;
	min-width: 0 !important;
	mmax-width: 24px !important;
	width: 24px !important;
	-moz-box-flex: 0;
}

.colorfultabs-minified .tab-icon-image:not([src]):not([pinned]):not([crashed]) {
	display:-moz-box;
}